import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { navigatorImpl, useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
// import { routerMap } from '../../routerMap';
import { useOrderResultResult, routerMap } from 'qj-mobile-store';
const { useOrderResult } = useOrderResultResult;
const flag = getEnv();
const PlaceOrderResultJsx = ({ code }) => {
    const { View, Text } = useComponent();
    const { result } = useOrderResult(code);
    const { sysRecode, dataObj } = result;
    console.log('15=====>', dataObj);
    return (_jsx(View, Object.assign({ className: 'placeOrderResult', style: {
            height: flag ? '100vh' : '667px'
        } }, { children: sysRecode ? (_jsxs(View, Object.assign({ className: 'placeOrderResultContent' }, { children: [_jsx(Text, { className: 'icon' }), _jsx(View, Object.assign({ className: 'tips' }, { children: _jsx(Text, Object.assign({ className: 'title' }, { children: "\u8BA2\u5355\u652F\u4ED8\u6210\u529F" })) })), _jsxs(View, Object.assign({ className: 'placeOrderResultWrap' }, { children: [_jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u8BA2\u5355\u53F7\uFF1A" })), _jsx(Text, Object.assign({ className: 'value' }, { children: dataObj.contractBillcode }))] })), _jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u652F\u4ED8\u65B9\u5F0F\uFF1A" })), _jsx(Text, Object.assign({ className: 'value' }, { children: dataObj.contractType === '00' ? '微信支付' : '其他' }))] })), _jsxs(View, Object.assign({ className: 'placeOrderResultItem' }, { children: [_jsx(Text, Object.assign({ className: 'label' }, { children: "\u652F\u4ED8\u91D1\u989D\uFF1A" })), _jsxs(Text, Object.assign({ className: 'value' }, { children: ["\uFFE5 ", dataObj.dataBmoney] }))] }))] })), _jsxs(View, Object.assign({ className: 'btnGroup' }, { children: [_jsx(View, Object.assign({ className: 'btn black', onClick: () => navigatorImpl(`${routerMap.orderDetail}?contractBillcode=${dataObj.contractBillcode}`) }, { children: "\u67E5\u770B\u8BA2\u5355" })), _jsx(View, Object.assign({ onClick: () => navigatorImpl(routerMap.classify), className: 'btn white' }, { children: "\u7EE7\u7EED\u8D2D\u7269" }))] }))] }))) : (_jsxs(View, Object.assign({ className: 'placeOrderResultContent' }, { children: [_jsx(Text, { className: 'icon' }), _jsxs(View, Object.assign({ className: 'tips' }, { children: [_jsx(Text, Object.assign({ className: 'title' }, { children: "\u8BA2\u5355\u652F\u4ED8\u5931\u8D25" })), _jsx(Text, Object.assign({ className: 'tip' }, { children: "\u60A8\u7684\u8BA2\u5355\u5C06\u4FDD\u755915\u5206\u949F\uFF0C\u53EF\u70B9\u51FB\u4E0B\u65B9\u201C\u53BB\u652F\u4ED8\u201D\u5B8C\u6210\u8BA2\u5355" }))] })), _jsx(View, Object.assign({ className: 'btnGroup' }, { children: _jsx(View, Object.assign({ onClick: () => navigatorImpl(`${routerMap.paymentMode}?code=${result.contractBillcode}`), className: 'btn white' }, { children: "\u53BB\u652F\u4ED8" })) }))] }))) })));
};
export const PlaceOrderResult = memo(PlaceOrderResultJsx);
