import { jsx as _jsx } from "react/jsx-runtime";
//@ts-nocheck
import { memo } from 'react';
import { SmoothSwiper, View } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
import { Items } from './item';
import { useCube } from 'qj-mobile-store';
const SwiperJsx = ({ defaultValue = [], type, autoplay, autoplayInterval, direction, loop, paddingTop, paddingBottom, paddingLeft, paddingRight, selectImg, imgHeight }) => {
    const list = useCube(defaultValue, selectImg);
    return (_jsx(View, Object.assign({ style: {
            paddingTop,
            paddingBottom,
            paddingLeft,
            paddingRight
        } }, { children: _jsx(SmoothSwiper, { className: getEnv() ? 'slider-block' : 'pc', imgHeight: imgHeight, data: list, type: type, autoplay: autoplay, autoplayInterval: autoplayInterval, direction: direction, loop: loop, render: (item) => _jsx(Items, { type: type, item: item }) }) })));
};
export const Slider = memo(SwiperJsx);
